import { Meta, StoryObj } from "@storybook/react";
import FormComponent from "./FormComponent";
import { fn } from "@storybook/test";
const meta: Meta<typeof FormComponent> = {
    title: "Top-Level/Form",
    component: FormComponent,
}

export default meta;

type story = StoryObj<typeof meta>

export const Form: story = {
    args: {
        handleSubmit: fn()
    }
}