import { Meta, StoryObj } from "@storybook/react";
import Item from "./Item";
import { fn } from "@storybook/test";
const meta: Meta<typeof Item> = {
    title: "Top-Level",
    component: Item,
    argTypes: {
        id: {
            control: {
                type: 'text'
            }
        }
    }

}

export default meta;

type story = StoryObj<typeof meta>
export const Item_: story = {
    args: {
        id: '1',
        isCompleted: true,
        task: 'Buy groceries',
        onComplete: fn(),
        onChange: fn(),
        onClose: fn()
    },
}



