import { Meta, StoryObj } from "@storybook/react";
import Input from "./Input";
import { fn } from "@storybook/test";

const meta: Meta<typeof Input> = {
    component: Input,
    title: "Basic/Input",
    tags: ["autodocs"]
}
export default meta

type story = StoryObj<typeof meta>;

export const Primary: story = {
    args: {
        placeholder: 'Enter the value...',
        onChange: fn(),
    },
    render: (args) => {
        return <>
            <p>Without Error</p>
            <Input {...args} />
            <p>With Error</p>
            <Input {...args} ErrorMessage="Enter the Fields" />
        </>
    }
}
